Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class VarrayDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
oracle.toplink.tools.schemaframework.VarrayDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  ObjectVarrayDefinition

public class VarrayDefinition
extends DatabaseObjectDefinition

Purpose: Allow for creation of varray type.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`name, qualifier`

Constructor Summary
`VarrayDefinition()`

Method Summary
`int` | `getSize()` PUBLIC: Return the maximum size of the array.
`java.lang.Class` | `getType()` PUBLIC: Return the type of the field.
`java.lang.String` | `getTypeName()` PUBLIC: Return the type of the field.
`int` | `getTypeSize()` PUBLIC: Return the size of the element field, this is only required for some field types.
`void` | `setSize(int size)` PUBLIC: Set the maximum size of the array.
`void` | `setType(java.lang.Class type)` PUBLIC: Set the type of the field.
`void` | `setTypeName(java.lang.String typeName)` PUBLIC: Set the type of the field.
`void` | `setTypeSize(int typeSize)` PUBLIC: Set the size of the element field, this is only required for some field types.

Methods inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`clone, getName, getQualifier, setName, setQualifier, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VarrayDefinition

    public VarrayDefinition()

Method Detail

### getSize

    public int getSize()

  PUBLIC: Return the maximum size of the array.

### getType

    public java.lang.Class getType()

  PUBLIC: Return the type of the field. This should be set to a java class, such as String.class, Integer.class or Date.class.

### getTypeName

    public java.lang.String getTypeName()

  PUBLIC: Return the type of the field. This is the exact DB type name, which can be used instead of the Java class.

### getTypeSize

    public int getTypeSize()

  PUBLIC: Return the size of the element field, this is only required for some field types.

### setSize

    public void setSize(int size)

  PUBLIC: Set the maximum size of the array.

### setType

    public void setType(java.lang.Class type)

  PUBLIC: Set the type of the field. This should be set to a java class, such as String.class, Integer.class or Date.class.

### setTypeName

    public void setTypeName(java.lang.String typeName)

  PUBLIC: Set the type of the field. This is the exact DB type name, which can be used instead of the Java class.

### setTypeSize

    public void setTypeSize(int typeSize)

  PUBLIC: Set the size of the element field, this is only required for some field types.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD